Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

hostentry Member List

This is the complete list of members for hostentry, including all inherited members.

getAddressLength() const | hostentry |
getAddressList() const | hostentry |
getAddressString(int32_t index) const | hostentry |
getAddressString(const char *hostname) | hostentry | static
getAddressString(const char *address, int32_t len, int32_t type) | hostentry | static
getAddressType() const | hostentry |
getAliasList() const | hostentry |
getName() const | hostentry |
getName(const char *address, int32_t len, int32_t type) | hostentry | static
hostentry() | hostentry |
hostentry(const hostentry &h) | hostentry |
initialize(const char *hostname) | hostentry |
initialize(const char *address, int32_t len, int32_t type) | hostentry |
needsMutex() | hostentry | static
operator=(const hostentry &h) | hostentry |
setMutex(threadmutex *mtx) | hostentry | static
~hostentry() | hostentry |